libcrypt-openssl-x509-perl (1.9.15-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:17:28 +1100

libcrypt-openssl-x509-perl (1.9.15-1build3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:22:00 +0000

libcrypt-openssl-x509-perl (1.9.15-1build2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:50:00 +0100

libcrypt-openssl-x509-perl (1.9.15-1build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 13:40:09 +0100

libcrypt-openssl-x509-perl (1.9.15-1) unstable; urgency=medium

  * Import upstream version 1.9.15.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 01 Oct 2023 04:08:27 +0200

libcrypt-openssl-x509-perl (1.9.14-2) unstable; urgency=medium

  * Replace no_crypt-openssl-guess.patch with build dependency on
    libcrypt-openssl-guess-perl.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Sep 2022 23:34:52 +0200

libcrypt-openssl-x509-perl (1.9.14-1) unstable; urgency=medium

  * Import upstream version 1.9.14.
  * Add a patch to use ExtUtils::PkgConfig instead of the unpackaged
    Crypt::OpenSSL::Guess.
  * Add build dependency on libextutils-pkgconfig-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 May 2022 17:21:39 +0200

libcrypt-openssl-x509-perl (1.9.13-1) unstable; urgency=medium

  * Import upstream version 1.9.13.
  * debian/coypright: drop stanza about removed third-party files.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Mar 2022 20:14:27 +0100

libcrypt-openssl-x509-perl (1.9.12-1) unstable; urgency=medium

  * Import upstream version 1.9.12.
  * Update years of packaging copyright.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Jan 2022 03:38:45 +0100

libcrypt-openssl-x509-perl (1.9.10-1) unstable; urgency=medium

  * Team upload

  * Import upstream version 1.9.10.
  * Update years of upstream copyright
  * Add d/copyright paragraph for ppport.h
  * Declare compliance with Debian Policy 4.6.0

 -- Florian Schlichting <fsfs@debian.org>  Sat, 25 Sep 2021 23:57:42 +0800

libcrypt-openssl-x509-perl (1.9.02-1) unstable; urgency=medium

  * Import upstream version 1.9.02.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Nov 2020 17:57:16 +0100

libcrypt-openssl-x509-perl (1.9.01-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ gregor herrmann ]
  * Replace '--with perl_openssl' in debian/rules with a build dependency
    on 'dh-sequence-perl-openssl'.
  * Import upstream version 1.9.01.
  * Update years of packaging copyright.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Nov 2020 16:56:29 +0100

libcrypt-openssl-x509-perl (1.8.13-1) unstable; urgency=medium

  * Import upstream version 1.8.13.
  * Update years of upstream and packaging copyright.
  * Update Build-Depends for cross builds.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Nov 2019 22:05:23 +0100

libcrypt-openssl-x509-perl (1.8.12-1) unstable; urgency=medium

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: update uversionmangle to capture newer releases.
  * Import upstream version 1.8.12.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Dec 2018 18:51:26 +0100

libcrypt-openssl-x509-perl (1.8.9-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org
  * Import upstream version 1.8.9
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.1.4
  * Bump Debhelper compat level to 10
  * Set Rules-Requires-Root to no

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 Jun 2018 17:51:34 +0200

libcrypt-openssl-x509-perl (1.8.8-1) unstable; urgency=medium

  * Import upstream version 1.8.8
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Drop 0001-libcrypt-openssl-x509-perl-compile-against-openssl-1.patch patch
  * Drop 0002-Fix-STACK_OF-OPENSSL_STRING-conflicts-with-OpenSSL-1.patch patch
  * Declare compliance with Debian policy 4.1.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Nov 2017 14:31:49 +0100

libcrypt-openssl-x509-perl (1.8.7-3) unstable; urgency=medium

  * Dynamically generate a dependency on perl-openssl-abi-x.x
    to ensure compatibility with other OpenSSL-related Perl modules.
    (See #848113)

 -- Niko Tyni <ntyni@debian.org>  Tue, 03 Jan 2017 14:14:00 +0200

libcrypt-openssl-x509-perl (1.8.7-2) unstable; urgency=medium

  * Remove Micah Anderson from Uploaders. Thanks for your work!
  * Cherry-pick two commits from upstream Git repo for OpenSSL 1.1.0
    compatibility (and 1.0.2 backwards compatibility). (Closes: #828388)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 03 Nov 2016 20:09:04 +0100

libcrypt-openssl-x509-perl (1.8.7-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.8.7
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.8
  * debian/rules: Build enabling all hardening flags

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 06 Aug 2016 07:55:50 +0200

libcrypt-openssl-x509-perl (1.8.6-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Add debian/upstream/metadata
  * Import upstream version 1.8.6
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.6
  * Wrap and sort fields in debian/control file
  * Add Testsuite: Autopkgtest-pkg-perl field in debian/control
  * Copy files needed for smoke tests into temporary directory for
    autopkgtest

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 May 2015 20:29:16 +0200

libcrypt-openssl-x509-perl (1.8.4-1) unstable; urgency=low

  * Imported Upstream version 1.8.4
  * Bump Standards-Version to 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Dec 2013 07:54:06 +0100

libcrypt-openssl-x509-perl (1.8.3-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 1.8.3
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Adjust regexp in uversionmangle for debian/watch.
    Upstream has slightly changed gain the versioning scheme upstream, where
    the 1.803 tarball corresponds to version 1.8.3.
  * Update debian/copyright information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for upstream files.
    Update copyright years for included copy of Module::Install.
    Update copyright years for debian/* packaging files.
  * Bump Standards-Version to 3.9.4
  * Update Debhelper compat level to 9.
    Adjust versioned Build-Depends on debhelper (>= 9.20120312) to include
    all relevant build flags for hardening of perl module packages.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 15 Aug 2013 12:09:00 +0200

libcrypt-openssl-x509-perl (1.8.2-1) unstable; urgency=low

  * New upstream release
    - Fix warnings under gcc 4.6 (Closes: #625361).
  * debian/watch: Add upstream version mangle to map new upstream
    versioning scheme x.y00.z to x.y.z versioning.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 10 May 2011 19:19:52 +0200

libcrypt-openssl-x509-perl (1.8.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 30 Apr 2011 19:23:23 +0200

libcrypt-openssl-x509-perl (1.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #620534)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 06 Apr 2011 07:47:27 +0200

libcrypt-openssl-x509-perl (1.7-1) unstable; urgency=low

  * New upstream release
  * Bump Debhelper compat level to 8.
  * debian/control: Bump versioned Build-Depends on debhelper to (>= 8).

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 31 Mar 2011 10:27:25 +0200

libcrypt-openssl-x509-perl (1.6-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: update copyright years.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 06 Jan 2011 14:29:26 +0100

libcrypt-openssl-x509-perl (1.5-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Update my email address.
  * New upstream release

  [ Ansgar Burchardt ]
  * Update my email address.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Dec 2010 20:22:50 +0100

libcrypt-openssl-x509-perl (1.4-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright file wording.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 31 Aug 2010 17:35:33 +0200

libcrypt-openssl-x509-perl (1.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: Substitute versioned Build-Depends on perl (>=
    5.10.0) with unversioned one, as stable has already this version and
    oldstable is gone.
  * debian/copyright: Explicitly point to GPL-1 text in common-licenses.
  * Bump Standards-Version to 3.9.1.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 06 Aug 2010 19:05:21 +0200

libcrypt-openssl-x509-perl (1.2-1) unstable; urgency=low

  * New upstream release
    - Add NEWS.Debian file to document incompatible change in this release.
  * debian/control: Add versioned Build-Depends on perl (>= 5.10.0).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Wed, 02 Jun 2010 10:17:45 +0200

libcrypt-openssl-x509-perl (1.1-1) unstable; urgency=low

  * New upstream release
    - Fix memory leak.
  * Add myself to Uploaders.
  * Convert to '3.0 (quilt)' package source format.
  * Refresh debian/copyright to the format specification proposed in
    revision 135 of DEP5 for machine readable copyright file.
  * Bump Standards-Version to 3.8.4.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 22 May 2010 09:53:26 +0200

libcrypt-openssl-x509-perl (1.0-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release.
  * Refresh rules for debhelper 7.
  * Convert debian/copyright to proposed machine-readable format.
  * debian/control: Make build-dep on perl unversioned.
  * Bump Standards-Version to 3.8.3.
  * Add myself to Uploaders.

  [ gregor herrmann ]
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - change my email address
    - drop build dependency on libmodule-install-perl
    - require debhelper 7.2.13 (Module::AutoInstall)
  * debian/copyright: add stanza for inc/Module/*.
  * Rename debian/libcrypt-openssl-x509-perl.examples to
    debian/libcrypt-openssl-x509-perl.docs.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 24 Jan 2010 19:27:06 +0900

libcrypt-openssl-x509-perl (0.7-1) unstable; urgency=low

  * New upstream release
  * update years of copyright
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Sat, 07 Jun 2008 16:29:35 +0300

libcrypt-openssl-x509-perl (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Use smarter regex.

 -- Roberto C. Sanchez <roberto@debian.org>  Sat, 15 Mar 2008 23:01:10 -0400

libcrypt-openssl-x509-perl (0.5-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: delete /usr/share/perl5 only if it exists.

  [ Damyan Ivanov ]
  * [debian/watch] Stop capturing file extension

  [ Niko Tyni ]
  * Fix intertarget dependencies for parallel builds.
  * Move '$(MAKE) test' to the 'build' target.
  * Add myself to Uploaders and wrap some debian/control fields.
  * Change the CPAN URLs in debian/copyright and debian/watch.
  * Remove generated file META.yml in the clean target.
  * Don't install the uninformative README file.
  * Remove an unused dh_installexamples invocation.

 -- Niko Tyni <ntyni@debian.org>  Fri, 15 Feb 2008 21:44:59 +0200

libcrypt-openssl-x509-perl (0.5-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 14 Jul 2007 22:20:48 +0200

libcrypt-openssl-x509-perl (0.4-2) unstable; urgency=low

  * Add libmodule-install-perl to Build-Depends.
  * Add libssl-dev to Build-Depends (closes: #420445).
  * Add libtest-pod-perl to Build-Depends.
  * Remove full stop at the end of the short description to satisfy lintian.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 22 Apr 2007 14:08:32 +0200

libcrypt-openssl-x509-perl (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Micah Anderson <micah@debian.org>  Mon, 19 Mar 2007 19:09:09 -0600
